<?php defined("SYSPATH") or die("No direct script access.") ?>
<STYLE type="text/css">
td {
  vertical-align: bottom;
}
img {
  margin-top: 0em!important;
}
.ac_input {
  width: 100%!important;
}
</STYLE>
<div id="g-captionator-dialog">
  <script type="text/javascript">
    $(document).ready(function() {
      $('form input[name^=tags]').ready(function() {
          $('form input[name^=tags]').autocomplete(
            "<?= url::site("/tags/autocomplete") ?>",
            {max: 30, multiple: true, multipleSeparator: ',', cacheLength: 1});
        });
    });
  </script>
  <form action="<?= url::site("tag_by_group/save/{$album->id}") ?>" method="post" id="g-captionator-form">
    <?= access::csrf_form_field() ?>
    <fieldset>
      <legend>
        <?= t("Add tags for photos & movies in <b>%album_title</b>.  You can't tag albums.", array("album_title" => $album->title)) ?>
      </legend>

      <? foreach ($album->viewable()->children() as $child): ?>
	  <? if (!$child->is_album()): // only items not albums can be tagged ?>
      <table>
        <tr>
          <td style="width: 210px">
            <?= $child->thumb_img(array(), 200, true) ?>
          </td>
          <td>
            <ul>
              <li>
                <label for="title[<?= $child->id ?>]"> <?= t("Title") ?> </label>
                <input type="text" name="title[<?= $child->id ?>]" value="<?= html::chars($child->title) ?>" readonly="readonly"/>
              </li>
              <li>
                <label for="tags[<?= $child->id ?>]"> <?= t("Tags (comma separated)") ?> </label>
                <input type="text" name="tags[<?= $child->id ?>]" class="ac_input" autocomplete="off" value="<?= html::chars($tags[$child->id]) ?>"/>
              </li>
            </ul>
          </td>
        </tr>
      </table>
	  <? endif ?>
      <? endforeach ?>

    </fieldset>
    <fieldset>
      <input type="submit" name="cancel" value="<?= t("Cancel") ?>"/>
      <input type="submit" name="save" value="<?= t("Save") ?>"/>
    </fieldset>
  </form>
</div>
