<?php defined("SYSPATH") or die("No direct script access.") ?>
<style>
td {
  vertical-align: bottom;
}
img {
  margin-top: 0em!important;
}
</style>
<div id="g-tag_by_group-dialog">
  <script type="text/javascript">
    $(document).ready(function() {
      $('form input[name^=tags]').ready(function() {
          $('form input[name^=tags]').autocomplete(
            "<?= url::site("/tags/autocomplete") ?>",
            {max: 30, multiple: true, multipleSeparator: ',', cacheLength: 1});
        });
    });
  </script>
  <form action="<?= url::site("tag_by_group/save/{$album->id}") ?>" method="post" id="g-tag_by_group-form">
    <?= access::csrf_form_field() ?>
    <fieldset>
      <legend>
        <?= t("Add tags for photos in <b>%album_title</b>", array("album_title" => $album->title)) ?>
      </legend>
      <? foreach ($album->viewable()->children() as $child): ?>
      <table>
        <tr>
          <td style="width: 240px">
            <?= $child->thumb_img(array(), 240, true) ?>
          </td>
          <td>
            <ul>
              <li>
                <?= t("Title") ?>:<?= html::chars($child->title) ?>
              </li>
              <li>
                <label for="tags[<?= $child->id ?>]"> <?= t("Tags (comma separated)") ?> </label>
                <input type="text" name="tags[<?= $child->id ?>]" class="ac_input" autocomplete="off" value="<?= html::chars($tags[$child->id]) ?>"/>
              </li>
            </ul>
          </td>
        </tr>
      </table>
      <? endforeach ?>
    </fieldset>
    <fieldset>
      <input type="submit" name="cancel" value="<?= t("Cancel") ?>"/>
      <input type="submit" name="save" value="<?= t("Save") ?>"/>
    </fieldset>
  </form>
</div>
